
Foreman - Bug #6859

Foreman not removing old class parameters

07/31/2014 06:14 AM - Jeff Sault

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Puppet integration   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.5.1

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

If you update a puppet class to remove an existing class parameter which has been overriden by foreman then the agent will fail with

an unknown parameter error.

To reproduce:

create class with a parameter

import class into foreman

set class parameter to 'override' (smart class parameter)

remove parameter from class file

import class into foreman

run agent

The agent run will fail because foreman is still passing in the old parameter and the updated class is not expecting it.

Related issues:

Is duplicate of Foreman - Bug #2369: Paramaterized classes persist through im... New 04/02/2013

History

#1 - 07/31/2014 06:17 AM - Dominic Cleal

- Category set to Puppet integration

#2 - 09/22/2014 06:10 AM - Dominic Cleal

- Is duplicate of Bug #2369: Paramaterized classes persist through import after parameters have been removed added

#3 - 09/22/2014 06:11 AM - Dominic Cleal

- Status changed from New to Duplicate

Thanks for the report, we're tracking this under #2369.
